Package net.snowflake.client.api.connection

## Class DownloadStreamConfig.Builder

- java.lang.Object
- - net.snowflake.client.api.connection.DownloadStreamConfig.Builder

Enclosing class:
  DownloadStreamConfig

    public static class DownloadStreamConfig.Builder
    extends Object

Builder for creating `DownloadStreamConfig` instances.

This builder provides a fluent API for configuring optional download stream settings. All setter methods return the builder instance for method chaining.

Example:

     DownloadStreamConfig config = DownloadStreamConfig.builder()
         .setDecompress(true)
         .build();

### Method Summary

All Methods Instance Methods Concrete Methods
`DownloadStreamConfig` `build()` Builds the `DownloadStreamConfig` instance.
`DownloadStreamConfig.Builder` `setDecompress​(boolean decompress)` Sets whether to automatically decompress the file during download.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setDecompress

    public DownloadStreamConfig.Builder setDecompress​(boolean decompress)

Sets whether to automatically decompress the file during download.

If set to `true`, the driver will automatically decompress files with recognized compression extensions (e.g., .gz, .bz2, .zip) during download. The returned stream will contain the decompressed data.

If set to `false`, the file is downloaded as-is without decompression.

Parameters:
  `decompress` - true to decompress the file, false to download as-is
Returns:
  this builder instance

#### build

    public DownloadStreamConfig build()

Builds the `DownloadStreamConfig` instance.

Returns:
  a new `DownloadStreamConfig` instance